<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form>
                            <div class="form-group text-center">
                                <div class="drag-box" #imageDropZone (click)="chooseImage($event)"
                                (drop)="dropHandler($event)" (dragover)="dragOverHandler($event)"
                                (dragenter)="dragEnterHandler($event)" (dragleave)="dragLeaveHandler($event)">
                                    <img src="assets/images/ic-drag.png" alt="">
                                    <p>Drag and Drop or Browse your file(25mb)</p>
                                    <p> {{fileName}} </p>
                                    
                                     <div *ngIf="imageFile || imageUrl">
                                        <img [src]="imageUrl" alt="">
                                    </div>
                                        
                                </div>

                                <input type="file" #imageDropZoneFileUpload accept="image/*" class="sr-only" (change)="uploadFile($event)">
                            </div>

                            <div class="form-group text-center">
                                <button class="reset-btn btn btn-sm mt-2" *ngIf="imageFile || imageUrl" (click)="resetDropZone($event)">Reset</button>
                            </div>

                            <div class="form-group text-center" *ngIf="!imageUrl || imageFile">
                                <input type="submit" (click)="saveFile()" value="Save" class="btn">
                            </div>

                            <!-- <div #imageDropZone class="form-group text-center" (click)="chooseImage($event)"
                                (drop)="dropHandler($event)" (dragover)="dragOverHandler($event)"
                                (dragenter)="dragEnterHandler($event)" (dragleave)="dragLeaveHandler($event)">
                                <div class="drag-box" #previewImageContainer [class.show]="imageUrl"
                                    *ngIf="imageFile || imageUrl">
                                    <img [src]="imageUrl" alt="" #previewImage>
                                    <p>Drag and Drop or Browse your file(25mb)</p>
                                </div>
                            </div> -->


                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>